Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller
Class ProxyUnwrappingMarshaller<C extends Converter>

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.ProxyUnwrappingMarshaller<C>

All Implemented Interfaces:
  NameAwareMarshaller, ObjectMarshaller<C>

    public class ProxyUnwrappingMarshaller<C extends Converter>

extends Object
implements ObjectMarshaller<C>, NameAwareMarshaller

Unwraps Hibernate proxies with no direct references to the Hibernate APIs

Since:
  1.1
Author:
  Siegfried Puchbauer, Graeme Rocher

Constructor Summary
`ProxyUnwrappingMarshaller()`

Method Summary
`String` | `getElementName(Object o)` Returns the tag name for the object
`void` | `marshalObject(Object object, C converter)` Performs the conversion
`boolean` | `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyUnwrappingMarshaller

    public ProxyUnwrappingMarshaller()

Method Detail

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<C extends Converter>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object object,
                              C converter)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<C extends Converter>`
  Parameters:
    `object` - the object which is about getting converted
    `converter` - the Converter to use
  Throws:
    `ConverterException` - on failure

### getElementName

    public String getElementName(Object o)

  Description copied from interface: `NameAwareMarshaller`
  Returns the tag name for the object

  Specified by:
    `getElementName` in interface `NameAwareMarshaller`
  Parameters:
    `o` - the object
  Returns:
    the tag name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD